https://bugs.debian.org/733511

From 9c2109e0d16473a7e80961558b112f8071aa5877 Mon Sep 17 00:00:00 2001
From: Mike Frysinger <vapier@gentoo.org>
Date: Tue, 9 Oct 2018 14:23:27 +0200
Subject: [PATCH] checkbashisms: allow `command` to use -v/-V

POSIX permits the -v/-V options:
http://pubs.opengroup.org/onlinepubs/9699919799/utilities/command.html
command [-p][-v|-V] command_name
---
 scripts/checkbashisms.pl | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/scripts/checkbashisms.pl b/scripts/checkbashisms.pl
index 3044634a..60005cd4 100755
--- a/scripts/checkbashisms.pl
+++ b/scripts/checkbashisms.pl
@@ -699,7 +699,7 @@ qr'(?:^|\s)(?<func>function\s)?\s*(?:[^<>\(\)\[\]\{\};|\s]*[^<>\(\)\[\]\{\};|\s\
         $LEADIN . qr'jobs\s'   => q<jobs>,
  #	$LEADIN . qr'jobs\s+-[^lp]\s' =>  q<'jobs' with option other than -l or -p>,
         $LEADIN
-          . qr'command\s+-[^p]\s' => q<'command' with option other than -p>,
+          . qr'command\s+-[^pvV]\s' => q<'command' with option other than -p/-v/-V>,
         $LEADIN
           . qr'setvar\s' =>
           q<setvar 'foo' 'bar' should be eval 'foo="'"$bar"'"'>,
-- 
2.19.1

